/**
 * 支付套餐
 */
import { z } from "zod";

export const PaymentPlanSchema = z.object({
  planId: z.string(),
  planName: z.string(),
  orderType: z.string(),
  vipDays: z.number().nullable(),
  dolAmount: z.number().nullable(),
  creditBalance: z.number(),
  amountCents: z.number(),
  originalAmountCents: z.number().nullable().default(null),
  dailyPriceCents: z.number().nullable().default(null),
  currency: z.string(),
});

export type PaymentPlanInput = z.input<typeof PaymentPlanSchema>;
export type PaymentPlanData = z.output<typeof PaymentPlanSchema>;
